Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved] Problems building glibc-2.5-r3 on hppa
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Alternative Architectures
View previous topic :: View next topic  
Author Message
LasseKongo
n00b
n00b


Joined: 01 Aug 2003
Posts: 17
Location: Sweden

PostPosted: Wed Jun 06, 2007 2:16 pm    Post subject: [Solved] Problems building glibc-2.5-r3 on hppa Reply with quote

I´m having trouble building glibc-2.5-r3 on my hppa box.

The error seems to be this:
In file included from ../include/dlfcn.h:3,
from ../sysdeps/generic/ldsodefs.h:32,
from ../ports/sysdeps/hppa/ldsodefs.h:40,
from ../sysdeps/unix/sysv/linux/ldsodefs.h:25,
from ../sysdeps/unix/sysv/linux/init-first.c:30:
../include/link.h:224: error: expected specifier-qualifier-list before '__rtld_mrlock_define'
In file included from ../sysdeps/generic/ldsodefs.h:41,
from ../ports/sysdeps/hppa/ldsodefs.h:40,
from ../sysdeps/unix/sysv/linux/ldsodefs.h:25,
from ../sysdeps/unix/sysv/linux/init-first.c:30:
../sysdeps/generic/rtld-lowlevel.h:1:2: error: #error "Lowlevel primitives for ld.so not implemented"

Anyone else have this problem ?
I don´t know if it is possible yo attach the full emerge log file directly in the post, if it is possible I could do that.

BR
Daniel


Last edited by LasseKongo on Mon Jun 11, 2007 12:16 pm; edited 1 time in total
Back to top
View user's profile Send private message
HPRichard
Tux's lil' helper
Tux's lil' helper


Joined: 02 Feb 2005
Posts: 94
Location: KA, Germany

PostPosted: Sat Jun 09, 2007 11:47 am    Post subject: Reply with quote

I also have this problem and I have been told that my /etc/make.profile is way too old. I have been advised to make that symlink point to a newer profile. A success/failure report will follow.

EDIT: helped here


Last edited by HPRichard on Sun Jun 17, 2007 12:35 pm; edited 1 time in total
Back to top
View user's profile Send private message
LasseKongo
n00b
n00b


Joined: 01 Aug 2003
Posts: 17
Location: Sweden

PostPosted: Mon Jun 11, 2007 12:16 pm    Post subject: Reply with quote

Thanks for the tip. This solved the problem for me.
I simply switched from the old (2005.0) release to the latest (2007.0), and reemerged glibc.

At least on my amd64 box portage has warned me when my profile has been deprecated,
but I can´t recall seeing this on hppa box.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Alternative Architectures All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum